## cd-discid 0.9

=== Makefile ===
VERSION = 0.8
CC = gcc
CFLAGS = -g -O2
LDFLAGS =
LIBS = 
DEFS =  
INSTALL = /usr/bin/install -c

# Installation directories
prefix = ${DESTDIR}/usr
exec_prefix = ${prefix}
mandir = ${prefix}/share/man/man1
bindir = ${exec_prefix}/bin
etcdir = ${DESTDIR}/etc

INCL = 
SRCS = cd-discid.c
OBJS = $(SRCS:.c=.o)

.SUFFIXES: .c .o

.c.o:
	$(CC) $(DEFS) $(CFLAGS) -c $<

all: cd-discid

cd-discid: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	rm -f *~ *.o core cd-discid

install: cd-discid
	$(INSTALL) -d -m 755 $(bindir)
	$(INSTALL) -s -m 755 -o 0 cd-discid $(bindir)
	$(INSTALL) -d -m 755 $(mandir)
	$(INSTALL) -m 644 -o 0 cd-discid.1 $(mandir)

tarball:
	@cd .. && tar czvf cd-discid_$(VERSION).orig.tar.gz \
		cd-discid-$(VERSION)/{COPYING,README,Makefile,cd-discid.1,cd-discid.c,changelog}

## cd-discid 1.1

=== Makefile ===
--- 
+++ 
@@ -32,9 +32,9 @@
 
 install: cd-discid
 	$(INSTALL) -d -m 755 $(bindir)
-	$(INSTALL) -s -m 755 -o 0 cd-discid $(bindir)
+	$(INSTALL) -m 755 cd-discid $(bindir)
 	$(INSTALL) -d -m 755 $(mandir)
-	$(INSTALL) -m 644 -o 0 cd-discid.1 $(mandir)
+	$(INSTALL) -m 644 cd-discid.1 $(mandir)
 
 tarball:
 	@cd .. && tar czvf cd-discid_$(VERSION).orig.tar.gz \

## cd-discid 1.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.8
+VERSION = 1.2
 CC = gcc
 CFLAGS = -g -O2
 LDFLAGS =

=== debian/changelog ===
cd-discid (1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - bump standards version to 3.9.2 (no changes needed)
    - point Vcs-* fields to github.com
    - add ${misc:Depends} to binary dependencies
    - bump debhelper version to 7.0.50~
  * debian/compat: bump debhelper's compatibility level to 7.
  * Bump package source format to 3.0 (quilt).
  * debian/copyright: follow DEP5.
  * debian/rules,
    debian/install,
    debian/manpages: use debhelper's override mechanism.

 -- Timur Birsh <taem@linukz.org>  Thu, 28 Apr 2011 15:27:27 +0600

cd-discid (1.1-1) unstable; urgency=low

  * New upstream release:
    - Fix FTBFS on Debian GNU/kFreeBSD.
  * debian/control: point Vcs-Browser to 'deb' branch.
  * Add debian/watch.

 -- Timur Birsh <taem@linukz.org>  Wed, 02 Sep 2009 14:06:11 +0600

cd-discid (1.0-1) unstable; urgency=low

  * New upstream release. Thanks to Colin Tuckley.
  * Use default CD-ROM device name if no parameter given on the
    command line. Closes: #303989.
  * debian/patches/01_nostrip.dpatch: remove, merged upstream.
  * debian/control:
    - Remove dpatch builddep.
    - New Homepage.
    - Add Vcs-Git and Vcs-Browser fields.
  * debian/rules:
    - Since there are no any dpatches in package, remove its
      references.
  * debian/copyright:
    - Update download location.
    - Update copyright statements.
    - Add Debian packaging copyright.

 -- Timur Birsh <taem@linukz.org>  Thu, 20 Aug 2009 15:10:24 +0600

cd-discid (0.9-2) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.8.3 (no changes needed).
    - Add version to the debhelper dependency.
    - Add dpatch build dependency.
  * debian/rules:
    - Fix lintian error 'debian-rules-ignores-make-clean-error'.
    - Use dh_installman instead of dh_installmanpages.
    - Fix DESTDIR variable in 'install-stamp' target.
    - Remove dh_installdirs invocation.
    - Use dpatch.
    - General cleanup.
  * debian/changelog:
    - Update FSF address.
  * debian/compat:
    - Add compatibility level 5.
  * Remove debian/dirs.
  * debian/patches/01_nostrip.dpatch:
    - Do not strip symbols. Closes: #436615.
  * New maintainer. Closes: #527477 (ITA).

 -- Timur Birsh <taem@linukz.org>  Mon, 17 Aug 2009 20:05:49 +0600

cd-discid (0.9-1) unstable; urgency=low

  * Updates for MacOS X on G5-based systems to properly calculate
    discid by Evan Jones <ejones@uwaterloo.ca>
  * Solaris compile error fix by David Schweikert <dws@ee.ethz.ch>

 -- Robert Woodcock <rcw@debian.org>  Mon, 15 Dec 2003 16:00:26 -0800

cd-discid (0.8-1) unstable; urgency=low

  * MacOS X support, thanks to Evan Jones <ejones@uwaterloo.ca>
  * Remembered to include the Makefile in the tarball this time

 -- Robert Woodcock <rcw@debian.org>  Sun,  5 Jan 2003 18:16:50 -0800

cd-discid (0.7-1) unstable; urgency=low

  * NetBSD support, thanks to Chris Gilbert <chris@NetBSD.org>

 -- Robert Woodcock <rcw@debian.org>  Sat, 28 Jul 2001 17:48:52 -0700

cd-discid (0.6-1) unstable; urgency=low

  * OpenBSD support, thanks to Marcus Daniel <danielm@uni-muenster.de>

 -- Robert Woodcock <rcw@debian.org>  Thu,  8 Feb 2001 21:33:23 -0800

cd-discid (0.5-1) unstable; urgency=low

  * FreeBSD support, thanks to Niels Bakker

 -- Robert Woodcock <rcw@debian.org>  Wed, 18 Oct 2000 20:21:05 -0700

cd-discid (0.4-1) unstable; urgency=low

  * Now opens cdrom device with O_RDONLY | O_NONBLOCK for better
    compatibility, thanks to Tommy U. Schonfeld
  * Removed the last references to cdgrab
  * Prints device name on failure (this can be handy for abcde users
    who aren't aware of the default device)

 -- Robert Woodcock <rcw@debian.org>  Sun, 14 May 2000 10:34:50 -0700

cd-discid (0.3-1) unstable; urgency=low

  * Now compiles on Solaris, thanks to David Champion

 -- Robert Woodcock <rcw@debian.org>  Sat, 18 Mar 2000 03:20:13 -0800

cd-discid (0.2-2) unstable; urgency=low

  * FHS compliance.

 -- Robert Woodcock <rcw@debian.org>  Mon, 11 Oct 1999 22:35:25 -0700

cd-discid (0.2-1) unstable; urgency=low

  * Split off from the cdgrab package.

 -- Robert Woodcock <rcw@debian.org>  Fri,  7 May 1999 20:18:36 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: cd-discid
Section: sound
Priority: optional
Maintainer: Timur Birsh <taem@linukz.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Homepage: http://linukz.org/cd-discid.shtml
Vcs-Git: git://github.com/taem/cd-discid.git
Vcs-Browser: https://github.com/taem/cd-discid/tree/deb

Package: cd-discid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CDDB DiscID utility
 cd-discid is a backend utility to get CDDB discid information from a CD-ROM
 disc.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

CFLAGS+=$(if $(findstring debug,$(DEB_BUILD_OPTIONS)),-g)
CFLAGS+=$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)

%:
	dh $@

override_dh_auto_install:
	dh_install

## cd-discid 1.3.1

=== Makefile ===
CC ?= cc
RM = rm -f
INSTALL = /usr/bin/install

CFLAGS ?= -g -O2
CPPFLAGS ?=
LDFLAGS ?=

SRCS = cd-discid.c
OBJS = $(SRCS:.c=.o)

PREFIX ?= /usr/local
BINDIR = ${PREFIX}/bin
MANDIR = ${PREFIX}/share/man/man1

.SUFFIXES: .c .o

.c.o:
	@printf "  CC      $@\n"
	@$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

all: cd-discid

cd-discid: $(OBJS)
	@printf "  LINK    $@\n"
	@$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $(OBJS)

install: cd-discid
	$(INSTALL) -D -s cd-discid $(BINDIR)/cd-discid
	$(INSTALL) -D -m 644 cd-discid.1 $(MANDIR)/cd-discid.1

clean:
	$(RM) $(OBJS) cd-discid

=== debian/changelog ===
cd-discid (1.3.1-1) unstable; urgency=low

  * New upstream release:
    - Fix FTBFS on Debian GNU/Hurd (i386). Closes: #647971.
  * debian/control:
    - bump standards version to 3.9.3.1 (no changes needed);
    - make lintian happy with the extended description;
    - bump debhelper version to 9.
  * debian/compat: bump debhelper's compatibility level to 9
    due to hardening options.
  * debian/changelog: fix lintian warnings:
    - 'missing-license-paragraph-in-dep5-copyright';
    - 'unversioned-copyright-format-uri'.

 -- Timur Birsh <taem@linukz.org>  Tue, 26 Jun 2012 16:18:57 +0600

=== debian/control ===
Source: cd-discid
Section: sound
Priority: optional
Maintainer: Timur Birsh <taem@linukz.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3.1
Homepage: http://linukz.org/cd-discid.shtml
Vcs-Git: git://github.com/taem/cd-discid.git
Vcs-Browser: https://github.com/taem/cd-discid/tree/deb

Package: cd-discid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CDDB DiscID utility
 In order to do CDDB queries over the Internet, you must know the DiscID of
 the CD you are querying. cd-discid provides you with that information. It
 outputs the discid, the number of tracks, the frame offset of all of the
 tracks, and the total length of the CD in seconds, on one line in
 a space-delimited format. cd-discid was designed as a backend tool for
 cdgrab (now abcde) but will work independently of it.

## cd-discid 1.4

=== Makefile ===
VERSION = 1.4

CC ?= cc
RM = rm -f
INSTALL = /usr/bin/install
STRIP = strip

CFLAGS ?= -g -O2
CFLAGS := -DVERSION=\"$(VERSION)\" $(CFLAGS)
CPPFLAGS ?=
LDFLAGS ?=

SRCS = cd-discid.c
OBJS = $(SRCS:.c=.o)

PREFIX ?= /usr/local
BINDIR = ${PREFIX}/bin
MANDIR = ${PREFIX}/share/man/man1

.SUFFIXES: .c .o

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

all: cd-discid

cd-discid: $(OBJS)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $(OBJS)

install: cd-discid
	$(INSTALL) -D cd-discid $(DESTDIR)$(BINDIR)/cd-discid
	$(STRIP) $(DESTDIR)$(BINDIR)/cd-discid
	$(INSTALL) -D -m 644 cd-discid.1 $(DESTDIR)$(MANDIR)/cd-discid.1

clean:
	$(RM) $(OBJS) cd-discid

=== debian/changelog ===
cd-discid (1.4-3) unstable; urgency=medium

  * QA upload.
  * Point Homepage to Github
  * Inject packaging into Multimedia team space on Salsa
  * d/copyright: review + secure URIs
  * Fix watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * No tab in license text (routine-update)
  * d/rules: Do not use upstream install target

 -- Andreas Tille <tille@debian.org>  Wed, 27 Aug 2025 20:13:33 +0200

cd-discid (1.4-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #879870)

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 18:52:55 -0300

cd-discid (1.4-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.4:
    - add debian branch to Vcs-Git field.
  * debian/source/options:
    - use xz compression.

 -- Timur Birsh <taem@linukz.org>  Tue, 14 May 2013 15:04:32 +0600

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: cd-discid
 Section: sound
 Priority: optional
-Maintainer: Timur Birsh <taem@linukz.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3.1
-Homepage: http://linukz.org/cd-discid.shtml
-Vcs-Git: git://github.com/taem/cd-discid.git
-Vcs-Browser: https://github.com/taem/cd-discid/tree/deb
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/multimedia-team/cd-discid
+Vcs-Git: https://salsa.debian.org/multimedia-team/cd-discid.git
+Homepage: https://github.com/taem/cd-discid
 
 Package: cd-discid
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

%:
	dh $@

override_dh_auto_install:
	echo "Do not use upstream install target"

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/taem/cd-discid/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
